Stores a metafield value on the owner record identified by ownerResource and ownerId. Reference the definition the value belongs to and give it a value - it is validated against the definition’s type and validations.
Headers
Name
Type
Required
Description
Flowkiwi-Locale
string
-
Specifies the locale for properties that support localization. If not provided, the default locale will be used.
Path parameters
Name
Type
Required
Description
ownerResource
string
required
The owner resource type the metafields are scoped to (e.g. "products", "variants"); must match the definition's ownerType.
ownerId
string
required
The id of the owner record the metafields belong to.
Request body
Property
Type
Required
Description
definition
string
required
The MetafieldDefinition this metafield is an instance of. Requires the metafields:read scope. Returned null when the scope is missing.
value
string | null
required
Response
201 - Metafield resource created
Property
Type
Required
Description
@context
string | object
-
@id
string
required
@type
string
required
createdAt
string
-
The date and time when the resource was created (ISO 8601 format).
definition
string | null
-
The MetafieldDefinition this metafield is an instance of. Requires the metafields:read scope. Returned null when the scope is missing.
id
string
-
The resource's unique identifier (UUID).
metaobject
array
-
The referenced metaobject(s). Populated when ?expand=metaobject is requested and the field type is metaobject_reference or list__metaobject_reference. Requires the metaobjects:read scope. Returned empty when the scope is missing.
ownerId
string | null
-
The id of the owner record the metafield is attached to.
ownerResource
string
required
The type of resource that the metafield is attached to.
updatedAt
string
-
The date and time when the resource was last modified (ISO 8601 format).
value
string
-
This property supports translations.
The data stored in the metafield. Always stored as a string, regardless of the metafield's type.
Property
Type
Required
Description
createdAt
string
-
The date and time when the resource was created (ISO 8601 format).
definition
string | null
-
The MetafieldDefinition this metafield is an instance of. Requires the metafields:read scope. Returned null when the scope is missing.
id
string
-
The resource's unique identifier (UUID).
metaobject
array
-
The referenced metaobject(s). Populated when ?expand=metaobject is requested and the field type is metaobject_reference or list__metaobject_reference. Requires the metaobjects:read scope. Returned empty when the scope is missing.
ownerId
string | null
-
The id of the owner record the metafield is attached to.
ownerResource
string
required
The type of resource that the metafield is attached to.
updatedAt
string
-
The date and time when the resource was last modified (ISO 8601 format).
value
string
-
This property supports translations.
The data stored in the metafield. Always stored as a string, regardless of the metafield's type.
Errors
400 - Invalid input
Property
Type
Required
Description
@context
string | object
-
@id
string
required
@type
string
required
code
string
-
Stable identifier of the error in the error code catalogue (see /api/error-codes). Present on catalogued errors only.
description
string | null
-
detail
string | null
-
A human-readable explanation specific to this occurrence of the problem.
instance
string | null
-
A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.
message
string
-
End-user message localized in the request locale, with this occurrence's values substituted. Present on catalogued errors only.
slug
string
-
Stable, readable key of the error in the error code catalogue. Present on catalogued errors only.
status
integer | null
-
title
string | null
-
A short, human-readable summary of the problem. For a catalogued error it repeats the slug.
type
string
-
A URI reference that identifies the problem type. For a catalogued error it is the error code resource, /api/error-codes/{code}.
Property
Type
Required
Description
code
string
-
Stable identifier of the error in the error code catalogue (see /api/error-codes). Present on catalogued errors only.
detail
string | null
-
A human-readable explanation specific to this occurrence of the problem.
instance
string | null
-
A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.
message
string
-
End-user message localized in the request locale, with this occurrence's values substituted. Present on catalogued errors only.
slug
string
-
Stable, readable key of the error in the error code catalogue. Present on catalogued errors only.
status
integer | null
-
title
string | null
-
A short, human-readable summary of the problem. For a catalogued error it repeats the slug.
type
string
-
A URI reference that identifies the problem type. For a catalogued error it is the error code resource, /api/error-codes/{code}.
403 - Access denied. The caller is missing one or more permissions required for this operation.
Content-Type:application/problem+json
Property
Type
Required
Description
@context
string | object
-
@id
string
required
@type
string
required
detail
string
-
missingPermissions
string[]
-
Permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied permission.
status
integer
-
title
string
-
type
string
-
422 - An error occurred
Property
Type
Required
Description
@context
string | object
-
@id
string
required
@type
string
required
description
string
-
detail
string
-
instance
string | null
-
status
integer
-
title
string | null
-
type
string
-
violations
object[]
-
Show violations fields
Property
Type
Required
Description
code
string
-
The code of the violation
hint
string
-
An extra hint to understand the violation
message
string
required
The message associated with the violation
parameters
object
-
Dynamic placeholder values for the violation message template (substitute into the code catalogue message).
payload
object
-
The serialized payload of the violation
propertyPath
string
required
The property path of the violation
slug
string
-
Stable centralized error-code slug for this violation (see /api/error-codes).
Property
Type
Required
Description
detail
string
-
instance
string | null
-
status
integer
-
title
string | null
-
type
string
-
violations
object[]
-
Show violations fields
Property
Type
Required
Description
code
string
-
The code of the violation
hint
string
-
An extra hint to understand the violation
message
string
required
The message associated with the violation
parameters
object
-
Dynamic placeholder values for the violation message template (substitute into the code catalogue message).
payload
object
-
The serialized payload of the violation
propertyPath
string
required
The property path of the violation
slug
string
-
Stable centralized error-code slug for this violation (see /api/error-codes).